<template>
  <form class="p-4 shadow-md rounded-md text-left" style="min-width: 500px;" @submit.prevent="add">
    <label class="block">
      <span class="text-gray-700">Nombre</span>
      <input class="form-input mt-1 block w-full border-2 border-gray-200 px-4 py-1 focus:outline-none" type="text" v-model="formData.name">
    </label>
    <label class="block">
      <span class="text-gray-700">Descripcion</span>
      <input class="form-input mt-1 block w-full border-2 border-gray-200 px-4 py-1 focus:outline-none" type="text" v-model="formData.description">
    </label>
    <label class="block">
      <span class="text-gray-700">Precio</span>
      <input class="form-input mt-1 block w-full border-2 border-gray-200  px-4 py-1 focus:outline-none" type="number" v-model="formData.prize">
    </label>

    <button type="submit" class="w-full p-2 mt-4 bg-gray-200" >Añadir Producto</button>
  </form>
</template>

<script>
export default {
  name: "AddProduct",
  props: {
    addProduct: { type: Function },
    productsData: { type: Array },
  },
  data() {
    return {
      formData: {}
    }
  },
  methods: {
    add() {
      this.addProduct(this.formData);
      this.formData = {};
      console.log(this.productsData);
    }
  }
  
}
</script>

<style>

</style>